> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote PayOrder

> Get payment quotes for a PayOrder



## OpenAPI

````yaml https://api.coinvoyage.io/v2/openapi.json post /pay-orders/{payorder_id}/quote
openapi: 3.1.0
info:
  title: CoinVoyage API
  description: Cryptocurrency payment processing API
  version: 2.2.0
servers:
  - url: https://api.coinvoyage.io/v2
security: []
paths:
  /pay-orders/{payorder_id}/quote:
    post:
      tags:
        - pay-orders
      summary: Quote PayOrder
      description: Get payment quotes for a PayOrder
      operationId: payOrder-quote
      parameters:
        - description: API key for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: payorder_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderQuoteRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderQuoteResponse'
          description: Quote results
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request - Quote destination amount required
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized - Authentication required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found - PayOrder not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity - Invalid request body format
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    OrderQuoteRequest:
      example:
        chain_ids:
          - 1
          - 10
          - 137
        chain_type: EVM
        wallet_address: 0x1234...abcd
      properties:
        wallet_address:
          example: 0x1234...abcd
          type: string
        chain_type:
          $ref: '#/components/schemas/ChainType'
          example: EVM
        chain_ids:
          example:
            - 1
            - 10
            - 137
          items:
            $ref: '#/components/schemas/ChainID'
          type: array
      required:
        - wallet_address
        - chain_type
      type: object
    OrderQuoteResponse:
      items:
        example:
          address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          amount_out_minimum:
            raw_amount: '2400000'
            ui_amount: 2.4
            ui_amount_display: '2.4'
            value_usd: 123.45
          balance:
            raw_amount: '2400000'
            ui_amount: 2.4
            ui_amount_display: '2.4'
            value_usd: 123.45
          base:
            raw_amount: '2400000'
            ui_amount: 2.4
            ui_amount_display: '2.4'
            value_usd: 123.45
          chain_id: 30000000000001
          currency_amount:
            raw_amount: '2400000'
            ui_amount: 2.4
            ui_amount_display: '2.4'
            value_usd: 123.45
          decimals: 6
          fees:
            custom_fee:
              raw_amount: '2400000'
              ui_amount: 2.4
              ui_amount_display: '2.4'
              value_usd: 123.45
            protocol_fee:
              raw_amount: '2400000'
              ui_amount: 2.4
              ui_amount_display: '2.4'
              value_usd: 123.45
            relayer_fee:
              raw_amount: '2400000'
              ui_amount: 2.4
              ui_amount_display: '2.4'
              value_usd: 123.45
            total_fee:
              raw_amount: '2400000'
              ui_amount: 2.4
              ui_amount_display: '2.4'
              value_usd: 123.45
          gas:
            raw_amount: '2400000'
            ui_amount: 2.4
            ui_amount_display: '2.4'
            value_usd: 123.45
          id: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          image_uri: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
          name: USD Coin
          output:
            address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            amount_out_minimum:
              raw_amount: '2400000'
              ui_amount: 2.4
              ui_amount_display: '2.4'
              value_usd: 123.45
            chain_id: 30000000000001
            currency_amount:
              raw_amount: '2400000'
              ui_amount: 2.4
              ui_amount_display: '2.4'
              value_usd: 123.45
            decimals: 6
            id: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            image_uri: >-
              https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
            name: USD Coin
            price_usd: 1
            ticker: USDC
          price_usd: 1
          ticker: USDC
          total:
            raw_amount: '2400000'
            ui_amount: 2.4
            ui_amount_display: '2.4'
            value_usd: 123.45
        properties:
          id:
            example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            type: string
          address:
            example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            type:
              - string
              - 'null'
          chain_id:
            $ref: '#/components/schemas/ChainID'
            example: 30000000000001
          decimals:
            example: 6
            format: int64
            type: integer
          name:
            example: USD Coin
            type: string
          ticker:
            example: USDC
            type: string
          image_uri:
            example: >-
              https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
            type:
              - string
              - 'null'
          price_usd:
            example: 1
            type:
              - number
              - 'null'
          currency_amount:
            $ref: '#/components/schemas/CurrencyAmount'
          amount_out_minimum:
            anyOf:
              - $ref: '#/components/schemas/CurrencyAmount'
              - type: 'null'
          total:
            $ref: '#/components/schemas/CurrencyAmount'
          base:
            $ref: '#/components/schemas/CurrencyAmount'
          fees:
            anyOf:
              - $ref: '#/components/schemas/FeeBreakdown'
              - type: 'null'
          gas:
            anyOf:
              - $ref: '#/components/schemas/CurrencyAmount'
              - type: 'null'
          balance:
            anyOf:
              - $ref: '#/components/schemas/CurrencyAmount'
              - type: 'null'
          quote_id:
            type: string
          output:
            $ref: '#/components/schemas/CurrencyWithAmount'
          swap_mode:
            $ref: '#/components/schemas/SwapMode'
          providers:
            items:
              type: string
            type: array
          slippage_bps:
            type:
              - integer
              - 'null'
          price_impact:
            type: number
        required:
          - id
          - chain_id
          - decimals
          - name
          - ticker
          - currency_amount
          - total
          - base
          - output
          - swap_mode
          - price_impact
        type: object
      type: array
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    ChainType:
      enum:
        - EVM
        - SOL
        - SUI
        - UTXO
      type: string
    ChainID:
      enum:
        - 1
        - 10
        - 56
        - 137
        - 8453
        - 42161
        - 20000000000001
        - 30000000000001
        - 30000000000002
      example: 1
      format: int64
      type: integer
    CurrencyAmount:
      example:
        raw_amount: '2400000'
        ui_amount: 2.4
        ui_amount_display: '2.4'
        value_usd: 123.45
      properties:
        ui_amount:
          deprecated: true
          description: >-
            Approximate numeric amount. Do not use for payment construction; use
            raw_amount for exact amounts and ui_amount_display for display.
          example: 2.4
          type: number
        ui_amount_display:
          example: '2.4'
          type: string
        raw_amount:
          $ref: '#/components/schemas/BigInt'
          example: '2400000'
        value_usd:
          example: 123.45
          type: number
      required:
        - ui_amount
        - ui_amount_display
        - raw_amount
        - value_usd
      type: object
    FeeBreakdown:
      example:
        custom_fee:
          raw_amount: '2400000'
          ui_amount: 2.4
          ui_amount_display: '2.4'
          value_usd: 123.45
        protocol_fee:
          raw_amount: '2400000'
          ui_amount: 2.4
          ui_amount_display: '2.4'
          value_usd: 123.45
        relayer_fee:
          raw_amount: '2400000'
          ui_amount: 2.4
          ui_amount_display: '2.4'
          value_usd: 123.45
        total_fee:
          raw_amount: '2400000'
          ui_amount: 2.4
          ui_amount_display: '2.4'
          value_usd: 123.45
      properties:
        total_fee:
          $ref: '#/components/schemas/CurrencyAmount'
        protocol_fee:
          anyOf:
            - $ref: '#/components/schemas/CurrencyAmount'
            - type: 'null'
        custom_fee:
          anyOf:
            - $ref: '#/components/schemas/CurrencyAmount'
            - type: 'null'
        relayer_fee:
          anyOf:
            - $ref: '#/components/schemas/CurrencyAmount'
            - type: 'null'
      required:
        - total_fee
      type: object
    CurrencyWithAmount:
      example:
        address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        amount_out_minimum:
          raw_amount: '2400000'
          ui_amount: 2.4
          ui_amount_display: '2.4'
          value_usd: 123.45
        chain_id: 30000000000001
        currency_amount:
          raw_amount: '2400000'
          ui_amount: 2.4
          ui_amount_display: '2.4'
          value_usd: 123.45
        decimals: 6
        id: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        image_uri: >-
          https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
        name: USD Coin
        price_usd: 1
        ticker: USDC
      properties:
        id:
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          type: string
        address:
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          type:
            - string
            - 'null'
        chain_id:
          $ref: '#/components/schemas/ChainID'
          example: 30000000000001
        decimals:
          example: 6
          format: int64
          type: integer
        name:
          example: USD Coin
          type: string
        ticker:
          example: USDC
          type: string
        image_uri:
          example: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
          type:
            - string
            - 'null'
        price_usd:
          example: 1
          type:
            - number
            - 'null'
        currency_amount:
          $ref: '#/components/schemas/CurrencyAmount'
        amount_out_minimum:
          anyOf:
            - $ref: '#/components/schemas/CurrencyAmount'
            - type: 'null'
      required:
        - id
        - chain_id
        - decimals
        - name
        - ticker
        - currency_amount
      type: object
    SwapMode:
      enum:
        - ExactIn
        - ExactOut
      type: string
    BigInt:
      description: A big integer represented as a string to preserve precision
      example: '1000000000000000000'
      type: string
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````